Subject: [Gen-art] Gen-ART review of draft-ietf-mpls-tp-framework-11.txt

From: "Miguel A. Garcia" <[email-masked]>
Date: Mon, 19 Apr 2010 10:20:10 +0200

I have been selected as the General Area Review Team (Gen-ART)
reviewer for this draft (for background on Gen-ART, please see
http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html).

Please resolve these comments along with any other Last Call comments
you may receive.

Document: draft-ietf-mpls-tp-framework-11.txt
Reviewer: Miguel Garcia <[email-masked]>
Review Date: 19-April-2010
IETF LC End Date: 21-April-2010

Summary: The document is ready for publication as an Informational RFC.

Major issues: none

Minor issues: none

Nits/editorial comments: The document is well written. There are a few 
nits that you may want to polish:

1) Add missing acronyms to the Terminology Section (Section 1.3). For 
example, I am missing MS-PW, LER, CE, PDU, MAC, PSC, PSN, FCAPS, ACH, 
MPLS BFD, VCCV, ME, MIG, DCN. I also recommend to order these terms in 
alphabetical order, otherwise it is hard to find a term.

2) Perhaps you can add a short definition of Layer Network and Network 
Layer in Sections 1.3.9 and 1.3.10, respectively (besides the reference 
to the corresponding RFCs). But a definition would be nice to be here.

3) The first paragraph in Section 1.3.11 is incomplete: "(see "

4) On Section 3.4., the 4th paragraph has a self recursive sentence:

    "A PW provides any emulated service that the IETF has defined to be
    provided by a PW, ..."

    Of bviously, the PW provides a service provided by a PW. Isn't there 
a loop?

5) Figures 3 and 4 are so long that they expand beyond a single page. Can 
you split these figures into two pieces each? At least, it looks like it 
is possible.

6) In Figure 12, s/pcket/packet

7) There is something wrong with the format of the reference sections: 
it seems that there are two columns, the left one being too wide and the 
right one being too narrow.

/Miguel

-- 
Miguel A. Garcia
+34-91-339-3608
Ericsson Spain

---

From: "Bocci, Matthew (Matthew)" <[email-masked]>
Date: Tue, 27 Apr 2010 16:36:06 +0200

Miguel,

Many thanks for your review.

Please see below for some comments, prefixed by MB>.

Regards,

Matthew

From: Miguel A. Garcia [[email-masked]]
Sent: 19 April 2010 09:20
To: Bocci, Matthew (Matthew); [email-masked]; [email-masked];
LEVRAU, LIEVEN (LIEVEN); [email-masked]; Loa Andersson; Adrian Farrel
Cc: [email-masked]; General Area Review Team
Subject: Gen-ART review of draft-ietf-mpls-tp-framework-11.txt

Follow Up Flag: Follow up
Flag Status: Red

I have been selected as the General Area Review Team (Gen-ART) reviewer for this draft (for background on Gen-ART, please see http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html).

Please resolve these comments along with any other Last Call comments you may receive.

Document: draft-ietf-mpls-tp-framework-11.txt
Reviewer: Miguel Garcia <[email-masked]> Review Date: 19-April-2010 IETF LC End Date: 21-April-2010

Major issues: none

Minor issues: none

Nits/editorial comments: The document is well written. There are a few nits that you may want to polish:

1) Add missing acronyms to the Terminology Section (Section 1.3). For example, I am missing MS-PW, LER, CE, PDU, MAC, PSC, PSN, FCAPS, ACH, MPLS BFD, VCCV, ME, MIG, DCN. I also recommend to order these terms in alphabetical order, otherwise it is hard to find a term.

MB> All added.

2) Perhaps you can add a short definition of Layer Network and Network Layer in Sections 1.3.9 and 1.3.10, respectively (besides the reference to the corresponding RFCs). But a definition would be nice to be here.

MB> Added a copy of the Layer Network definition from RFC5654. We also propose adding a paraphrase of the definition for Network layer from RFC3031.

MB> Ok thanks. This was a broken reference, which I have removed (the two refences in the following bullets should suffice).

    Of bviously, the PW provides a service provided by a PW. Isn't there a loop?

MB> Yes, it is somewhat circular. The objective here is to say that MPLS-TP should only use IETF defined PWs. Perhaps we can change this phrase to "MPLS-TP uses IETF-defined pseudowires to emulate certain services..."

5) Figures 3 and 4 are so long that they expand beyond a single page. Can you split these figures into two pieces each? At least, it looks like it is possible.

MB> Agreed

MB> Thanks

7) There is something wrong with the format of the reference sections: 
it seems that there are two columns, the left one being too wide and the right one being too narrow.

MB> Unfortunately this is a consequence of the way xml2rfc formats references, where the cross-reference is a complete ID name (in the first column). We'll work with the RFC editor to make sure this is better-formatted in the RFC.

/Miguel

--
Miguel A. Garcia
+34-91-339-3608
Ericsson Spain